Inhalte
Index 🔎︎

# Funktion IIf

Liefert eines zweier möglicher Funktionsergebnisse zurück, abhängig vom Wahrheitsgehalt eines zu überprüfenden Ausdrucks.

### Syntax:

    IIf (Ausdruck, AusdruckWahr, AusdruckFalsch)

### Parameter:

Ausdruck: Ein beliebiger auszuwertender Ausdruck. Wenn der Ausdruck als True ausgewertet wird, gibt die Funktion das Ergebnis von ExpressionTrue zurück, ansonsten das Ergebnis von ExpressionFalse.

AusdruckWahr, AusdruckFalsch: Beliebige Ausdrücke; je nach Ergebnis der logischen Auswertung wird einer dieser Ausdrücke als Funktionsergebnis zurückgegeben.

IIf wertet sowohl AusdruckWahr als auch AusdruckFalsch aus, selbst wenn es nur einen von ihnen zurückgibt. Wenn einer der Ausdrücke zu einem Fehler führt, gibt die Funktion den Fehler zurück. Verwenden Sie IIf beispielsweise nicht, um ein mögliches Ergebnis einer Division durch Null zu umgehen.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

    REM Gibt das Maximum von 3 Werten zurück
    Function Max (A As Double, B As Double, C, As Double) As Double
        Max = IIf( A >= B, A, B)
        Max = IIf( C >= Max, C, Max)
    End Function
    REM Schlechte Verwendung der Funktion IIf
    Function Inverse(A As Double) As Double
        Inverse = IIf( A = 0, 0, 1/A )
    End Function

Verwandte Themen

Anweisungen If oder Select Case

Funktion Switch